System.Web 2.0.0.0 System.Collections.Specialized.NameObjectCollectionBase System.Web.SessionState.ISessionStateItemCollection

The class is used to manage session-state variable values indexed by a variable name or by numerical index. The session-state variables are exposed to ASP.NET application code using the class, which is accessed using the property of the current or the . The class calls the class, which manages session-state variable values using the .

A collection of objects stored in session state. This class cannot be inherited.

- Constructor
  2.0.0.0

  The class is used to manage session-state variable values indexed by a variable name or by numerical index. The session-state variables are exposed to ASP.NET application code using the class, which is accessed using the property of the current or the . The class calls the class, which manages session-state variable values using the collection.

  Creates a new, empty object.

- Method
  2.0.0.0
  System.Void To be added.

  Removes all values and keys from the session-state collection.

- Method
  2.0.0.0
  System.Web.SessionState.SessionStateItemCollection ``

  The method can be used to read the contents of a collection from the session store.

  To write the contents of a object to the session store, use the method.

  Creates a collection from a storage location that is written to using the method.

  A collection populated with the contents from a storage location that is written to using the method.

  The used to read the serialized collection from a stream or encoded string.
- Property
  2.0.0.0
  System.Boolean To be added.

  The property is used to indicate whether the contents of the collection have changed.

  The property is set to true when an object value is set or added to the collection using the property and when one or more object values are removed from the collection using the , , or methods.

  The property is also set to true when a mutable object is retrieved from the collection using the property.

  Calling the method to populate a collection results in the property being set to false.

  Gets or sets a value indicating whether the collection has been marked as changed.

- Method
  2.0.0.0
  System.Collections.IEnumerator To be added.

  Returns an enumerator that can be used to read all the key names in the collection.

  An that can iterate through the variable names in the session-state collection.

- Property
  2.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Object `` To be added. To be added. To be added. To be added.
- Property
  2.0.0.0
  System.Collections.Specialized.NameObjectCollectionBase+KeysCollection To be added.

  Each key is a string that represents a variable name for a value stored in the collection.

  Gets a collection of the variable names for all values stored in the collection.

- Method
  2.0.0.0
  System.Void ``

  If the collection does not contain an element with the specified , the collection remains unchanged. No exception is thrown.

  Deletes an item from the collection.

  The name of the item to delete from the collection.
- Method
  2.0.0.0
  System.Void ``

  If the collection does not contain an element with the specified , the collection remains unchanged. No exception is thrown.

  Deletes an item at a specified index from the collection.

  The index of the item to remove from the collection.
- Method
  2.0.0.0
  System.Void ``

  The method can be used to write the contents of a collection to the session store.

  To retrieve a serialized object from the session store, use the method.

  Writes the contents of the collection to a .

  The used to write the serialized collection to a stream or encoded string.